$(function(){
    $("#form-total").steps({
        headerTag: "h2",
        bodyTag: "section",
        transitionEffect: "fade",
        enableAllSteps: false,
        autoFocus: true,
        transitionEffectSpeed: 500,
        titleTemplate : '<div class="title">#title#</div>',
        labels: {
            previous : 'Previous',
            next : 'Next Step',
            finish : 'Submit',
            current : ''
        },
        onStepChanging: function (event, currentIndex, newIndex) 
        {
            var fullname = $('#first_name').val() + ' ' + $('#last_name').val();
            var fname = $('#first_name').val();
            var lname = $('#last_name').val();
            var email = $('#email').val();
            var phone = $('#phone').val();
            var f = $('#file').val();
            var aadhar_no = $('#aadhar_no').val();
            var pan_no = $('#pan_no').val();
            var qualification = $('#qualification').val();
            var dob = $('#datepicker').val();
            var blood_grp = $('#blood_group').val();
            var membership_type = $('#m_type').children("option:selected"). text();
            var occupation = $('#occupation').children("option:selected").val();//form input[type=radio]:checked
            var address = $('#address').val();       
            if(currentIndex == 0 && newIndex == 1)
            {
                if(fname == "" || email == "" || phone == "" || aadhar_no == "" || pan_no == "" || qualification == "" || dob == "" || blood_grp == "" || occupation == "")
                {
                    alert("Please Fill Mandatory Fields");
                    return false;
                }
            }
            if(currentIndex == 2 && newIndex == 3)
            {
                var m_type = $( "#m_type option:selected" ).val();
                var checkbox = $("#choose_mem_type").is(':checked')
                if(m_type == 0)
                {
                    alert("Please Select Membership Type");
                    return false;
                }
                else if(checkbox == false)
                {
                    alert("Please agree terms & conditions");
                    return false;
                }
            }
            if(currentIndex == 3 && newIndex == 4)
            {
                var photo1 = $("#self_photo").val();
                // var photo2 = $("#spouse_photo").val();
                var doc1 = $("#signature").val();
                var doc2 = $("#pan_card").val();
                var doc3 = $("#aadhar_card").val();
                if(photo1 == "" || doc1 == "" || doc2 == "" || doc3 == "")
                {
                    alert("Please Upload Mandatory Documents!!");
                    return false;
                }
            }


            $('#fullname-val').text(fullname);
            $('#address-val').text(address);
            $('#dob-val').text(dob);
            $('#occupation-val').text(occupation);
            $('#aadhar-val').text(aadhar_no);
            $('#pan-val').text(pan_no);
            $('#email-val').text(email);
            $('#qualification-val').text(qualification);
            $('#blood-val').text(blood_grp);
            $('#phone-val').text(phone);
            $('#membership-val').text(membership_type);
            // $('#file-val').text(f);//.replace(/C:\\fakepath\\/i, '')
            return true;
        },
        
        onStepChanged: function (event, currentIndex) {
            // alert(currentIndex);
            if (currentIndex === 4) { //if last step
               //remove default #finish button
               $('#form-total').find('a[href="#finish"]').remove(); 
               //append a submit type button
              $('#form-total .actions li:last-child').html('<button type="submit" id="submit" name="submit" class="btn btn-submit">Submit</button>');
            }
            if(currentIndex != 4)
            {
                $('#form-total').remove("#submit");
            }
            if(currentIndex == 1)
            {
                $("#getotp1").click(function(){
                    $(this).steps("next");
                });
            }
        },
    });
    
    
    $("#date").datepicker({
        dateFormat: "DD - MM - yy",
        showOn: "both",
        buttonText : '<i class="zmdi zmdi-chevron-down"></i>',
    });
});
